package com.daya.live_teaching.model;

import java.io.Serializable;
import java.util.List;

public class LoginResult implements Serializable {

    /**
     * autoCloseNetworkRoomTime :
     * courseScheduleId : 0
     * createTime :
     * display :
     * id : 0
     * midiJson : {"customType":0,"enable":true,"playVolume":0,"rate":0,"roomId":0,"type":"","userId":""}
     * roomId :
     * roomMember : {"avatar":"","cameraFlag":true,"courseScheduleId":0,"handFlag":true,"id":0,"joinTime":"","micFlag":true,"musicModeFlag":true,"musicSheetResults":[{"accompanimentPlayStatus":0,"audioFileUrl":"","courseScheduleId":0,"createTime":"","downStatus":0,"id":0,"mp3Url":"","musicSheetAccompanimentId":0,"musicSheetName":"","playStatus":0,"soundVolume":0,"speed":0,"updateTime":"","userId":0,"userType":0}],"role":0,"roomId":"","userId":0,"username":""}
     * roomMemberList : [{}]
     * soundVolume : 0
     * surplusTime : 0
     * updateTime :
     */

    public String autoCloseNetworkRoomTime;
    public int courseScheduleId;
    public String createTime;

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public String display;
    public int id;
    public ClassMember.PlayMidiJsonBean midiJson;

    public String getRoomId() {
        return roomId;
    }

    public String roomId;

    public UserInfo getUserInfo() {
        return roomMember;
    }

    public void setUserInfo(UserInfo roomMember) {
        this.roomMember = roomMember;
    }

    public UserInfo roomMember;

    public int getSoundVolume() {
        return soundVolume;
    }

    public void setSoundVolume(int soundVolume) {
        this.soundVolume = soundVolume;
    }

    public int soundVolume;

    public int getSurplusTime() {
        return surplusTime;
    }

    public void setSurplusTime(int surplusTime) {
        this.surplusTime = surplusTime;
    }

    public int surplusTime;
    public String updateTime;

    public List<ClassMember> getMembers() {
        return roomMemberList;
    }

    public void setMembers(List<ClassMember> roomMemberList) {
        this.roomMemberList = roomMemberList;
    }

    public List<ClassMember> roomMemberList;
}
